APICenter
DocsBuildLearn
APIs & SDKs/APICenter REST API/List Payment Links

List Payment Links

GEThttps://api.apicenter.itsandbox.site/api/v1/payments/payment-links

Perform List Payment Links operation on APICenter platform.

TShttps://api.apicenter.itsandbox.site/api/v1/payments/payment-links
const paymentApiKey = process.env.APICENTER_PAYMENT_API_KEY;
if (!paymentApiKey) throw new Error("APICENTER_PAYMENT_API_KEY is required");

const response = await fetch("https://api.apicenter.itsandbox.site/api/v1/payments/payment-links", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + paymentApiKey
  }
});
if (!response.ok) throw new Error("APICenter request failed: " + response.status);
const data = await response.json();
console.log(data);
Response
No response example is supplied by this contract. See the documented response schema.

Authentication

AuthorizationAPICenterApiKey

Authorization: Bearer <PAYMENT_API_KEY>. Use the consumer's payment API key. or Registered APICenter service JWT with gateway-enforced scopes.

Response

200Payment links owned by the calling project
successbooleanRequired
dataarrayRequired

Errors

TShttps://api.apicenter.itsandbox.site/api/v1/payments/payment-links
const paymentApiKey = process.env.APICENTER_PAYMENT_API_KEY;
if (!paymentApiKey) throw new Error("APICENTER_PAYMENT_API_KEY is required");

const response = await fetch("https://api.apicenter.itsandbox.site/api/v1/payments/payment-links", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + paymentApiKey
  }
});
if (!response.ok) throw new Error("APICenter request failed: " + response.status);
const data = await response.json();
console.log(data);
Response
No response example is supplied by this contract. See the documented response schema.